## nmap 4.11

=== mswin32/Makefile ===
--- 
+++ 
@@ -1,10 +1,11 @@
 MAKENSIS=/c/apps/NSIS/makensis.exe
 VCEXPRESS="/c/Program Files/Microsoft Visual Studio 8/Common7/IDE/VCExpress.exe"
 NMAP_VERSION:=$(shell grep "export NMAP_VERSION " ../Makefile.in | cut "-d " -f4)
+LOGLOC=c:nmapbuild.log
 
 winbuild:
 # VCExpress.exe is devenv.com with the commercial Visual Studio suite instead of VC++ Express
-	$(VCEXPRESS) nmap.sln /build release /log nmapbuild.log	
+	$(VCEXPRESS) nmap.sln /build release /log $(LOGLOC)
 	$(MAKENSIS) winpcap/winpcap-nmap.nsi
 	rm -rf nmap-$(NMAP_VERSION)
 	mkdir nmap-$(NMAP_VERSION)
