## nmap 5.00-2

=== debian/changelog ===
nmap (5.00-2) unstable; urgency=low

  * Optified
  * Initial release

 -- Nathan Reynolds <terminal3@gmail.com>  Sun, 20 Dec 2009 01:27:35 -0600
