=== debian/control ===
Source: nmap
Section: user/network
Priority: extra
Maintainer: Nathan Reynolds <terminal3@gmail.com>
Build-Depends: debhelper (>= 5), autotools-dev
Standards-Version: 3.7.2

Package: nmap
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Port scanning utility for large networks
 Nmap ("Network Mapper") is a free and open source utility for network
 exploration or security auditing. Many systems and network administrators
 also find it useful for tasks such as network inventory, managing service
 upgrade schedules, and monitoring host or service uptime.
