## nmap 5.20-1

=== debian/changelog ===
nmap (5.20-1) unstable; urgency=low

  * Initial release.  Fixed short description from 5.00, added App Manager icon, and optified.

 -- Nathan Reynolds <terminal3@gmail.com>  Thu, 21 Jan 2010 20:05:09 -0600
