=== debian/control ===
Source: nmap
Section: user/network
Priority: extra
Maintainer: Nathan Reynolds <terminal3@gmail.com>
Build-Depends: debhelper (>= 5), autotools-dev
Standards-Version: 3.7.2

Package: nmap
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Open-source network and security scanning tool
 Nmap ("Network Mapper") is a free and open source utility for network
 exploration or security auditing. Many systems and network administrators
 also find it useful for tasks such as network inventory, managing service
 upgrade schedules, and monitoring host or service uptime.
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAACXBIWXMAAAsS
 AAALEgHS3X78AAAKT2lDQ1BQaG90b3Nob3AgSUNDIHByb2ZpbGUAAHjanVNn
 VFPpFj333vRCS4iAlEtvUhUIIFJCi4AUkSYqIQkQSoghodkVUcERRUUEG8ig
 iAOOjoCMFVEsDIoK2AfkIaKOg6OIisr74Xuja9a89+bN/rXXPues852zzwfA
 CAyWSDNRNYAMqUIeEeCDx8TG4eQuQIEKJHAAEAizZCFz/SMBAPh+PDwrIsAH
 vgABeNMLCADATZvAMByH/w/qQplcAYCEAcB0kThLCIAUAEB6jkKmAEBGAYCd
 mCZTAKAEAGDLY2LjAFAtAGAnf+bTAICd+Jl7AQBblCEVAaCRACATZYhEAGg7
 AKzPVopFAFgwABRmS8Q5ANgtADBJV2ZIALC3AMDOEAuyAAgMADBRiIUpAAR7
 AGDIIyN4AISZABRG8lc88SuuEOcqAAB4mbI8uSQ5RYFbCC1xB1dXLh4ozkkX
 KxQ2YQJhmkAuwnmZGTKBNA/g88wAAKCRFRHgg/P9eM4Ors7ONo62Dl8t6r8G
 /yJiYuP+5c+rcEAAAOF0ftH+LC+zGoA7BoBt/qIl7gRoXgugdfeLZrIPQLUA
 oOnaV/Nw+H48PEWhkLnZ2eXk5NhKxEJbYcpXff5nwl/AV/1s+X48/Pf14L7i
 JIEyXYFHBPjgwsz0TKUcz5IJhGLc5o9H/LcL//wd0yLESWK5WCoU41EScY5E
 mozzMqUiiUKSKcUl0v9k4t8s+wM+3zUAsGo+AXuRLahdYwP2SycQWHTA4vcA
 APK7b8HUKAgDgGiD4c93/+8//UegJQCAZkmScQAAXkQkLlTKsz/HCAAARKCB
 KrBBG/TBGCzABhzBBdzBC/xgNoRCJMTCQhBCCmSAHHJgKayCQiiGzbAdKmAv
 1EAdNMBRaIaTcA4uwlW4Dj1wD/phCJ7BKLyBCQRByAgTYSHaiAFiilgjjggX
 mYX4IcFIBBKLJCDJiBRRIkuRNUgxUopUIFVIHfI9cgI5h1xGupE7yAAygvyG
 vEcxlIGyUT3UDLVDuag3GoRGogvQZHQxmo8WoJvQcrQaPYw2oefQq2gP2o8+
 Q8cwwOgYBzPEbDAuxsNCsTgsCZNjy7EirAyrxhqwVqwDu4n1Y8+xdwQSgUXA
 CTYEd0IgYR5BSFhMWE7YSKggHCQ0EdoJNwkDhFHCJyKTqEu0JroR+cQYYjIx
 h1hILCPWEo8TLxB7iEPENyQSiUMyJ7mQAkmxpFTSEtJG0m5SI+ksqZs0SBoj
 k8naZGuyBzmULCAryIXkneTD5DPkG+Qh8lsKnWJAcaT4U+IoUspqShnlEOU0
 5QZlmDJBVaOaUt2ooVQRNY9aQq2htlKvUYeoEzR1mjnNgxZJS6WtopXTGmgX
 aPdpr+h0uhHdlR5Ol9BX0svpR+iX6AP0dwwNhhWDx4hnKBmbGAcYZxl3GK+Y
 TKYZ04sZx1QwNzHrmOeZD5lvVVgqtip8FZHKCpVKlSaVGyovVKmqpqreqgtV
 81XLVI+pXlN9rkZVM1PjqQnUlqtVqp1Q61MbU2epO6iHqmeob1Q/pH5Z/YkG
 WcNMw09DpFGgsV/jvMYgC2MZs3gsIWsNq4Z1gTXEJrHN2Xx2KruY/R27iz2q
 qaE5QzNKM1ezUvOUZj8H45hx+Jx0TgnnKKeX836K3hTvKeIpG6Y0TLkxZVxr
 qpaXllirSKtRq0frvTau7aedpr1Fu1n7gQ5Bx0onXCdHZ4/OBZ3nU9lT3acK
 pxZNPTr1ri6qa6UbobtEd79up+6Ynr5egJ5Mb6feeb3n+hx9L/1U/W36p/VH
 DFgGswwkBtsMzhg8xTVxbzwdL8fb8VFDXcNAQ6VhlWGX4YSRudE8o9VGjUYP
 jGnGXOMk423GbcajJgYmISZLTepN7ppSTbmmKaY7TDtMx83MzaLN1pk1mz0x
 1zLnm+eb15vft2BaeFostqi2uGVJsuRaplnutrxuhVo5WaVYVVpds0atna0l
 1rutu6cRp7lOk06rntZnw7Dxtsm2qbcZsOXYBtuutm22fWFnYhdnt8Wuw+6T
 vZN9un2N/T0HDYfZDqsdWh1+c7RyFDpWOt6azpzuP33F9JbpL2dYzxDP2DPj
 thPLKcRpnVOb00dnF2e5c4PziIuJS4LLLpc+Lpsbxt3IveRKdPVxXeF60vWd
 m7Obwu2o26/uNu5p7ofcn8w0nymeWTNz0MPIQ+BR5dE/C5+VMGvfrH5PQ0+B
 Z7XnIy9jL5FXrdewt6V3qvdh7xc+9j5yn+M+4zw33jLeWV/MN8C3yLfLT8Nv
 nl+F30N/I/9k/3r/0QCngCUBZwOJgUGBWwL7+Hp8Ib+OPzrbZfay2e1BjKC5
 QRVBj4KtguXBrSFoyOyQrSH355jOkc5pDoVQfujW0Adh5mGLw34MJ4WHhVeG
 P45wiFga0TGXNXfR3ENz30T6RJZE3ptnMU85ry1KNSo+qi5qPNo3ujS6P8Yu
 ZlnM1VidWElsSxw5LiquNm5svt/87fOH4p3iC+N7F5gvyF1weaHOwvSFpxap
 LhIsOpZATIhOOJTwQRAqqBaMJfITdyWOCnnCHcJnIi/RNtGI2ENcKh5O8kgq
 TXqS7JG8NXkkxTOlLOW5hCepkLxMDUzdmzqeFpp2IG0yPTq9MYOSkZBxQqoh
 TZO2Z+pn5mZ2y6xlhbL+xW6Lty8elQfJa7OQrAVZLQq2QqboVFoo1yoHsmdl
 V2a/zYnKOZarnivN7cyzytuQN5zvn//tEsIS4ZK2pYZLVy0dWOa9rGo5sjxx
 edsK4xUFK4ZWBqw8uIq2Km3VT6vtV5eufr0mek1rgV7ByoLBtQFr6wtVCuWF
 fevc1+1dT1gvWd+1YfqGnRs+FYmKrhTbF5cVf9go3HjlG4dvyr+Z3JS0qavE
 uWTPZtJm6ebeLZ5bDpaql+aXDm4N2dq0Dd9WtO319kXbL5fNKNu7g7ZDuaO/
 PLi8ZafJzs07P1SkVPRU+lQ27tLdtWHX+G7R7ht7vPY07NXbW7z3/T7JvttV
 AVVN1WbVZftJ+7P3P66Jqun4lvttXa1ObXHtxwPSA/0HIw6217nU1R3SPVRS
 j9Yr60cOxx++/p3vdy0NNg1VjZzG4iNwRHnk6fcJ3/ceDTradox7rOEH0x92
 HWcdL2pCmvKaRptTmvtbYlu6T8w+0dbq3nr8R9sfD5w0PFl5SvNUyWna6YLT
 k2fyz4ydlZ19fi753GDborZ752PO32oPb++6EHTh0kX/i+c7vDvOXPK4dPKy
 2+UTV7hXmq86X23qdOo8/pPTT8e7nLuarrlca7nuer21e2b36RueN87d9L15
 8Rb/1tWeOT3dvfN6b/fF9/XfFt1+cif9zsu72Xcn7q28T7xf9EDtQdlD3YfV
 P1v+3Njv3H9qwHeg89HcR/cGhYPP/pH1jw9DBY+Zj8uGDYbrnjg+OTniP3L9
 6fynQ89kzyaeF/6i/suuFxYvfvjV69fO0ZjRoZfyl5O/bXyl/erA6xmv28bC
 xh6+yXgzMV70VvvtwXfcdx3vo98PT+R8IH8o/2j5sfVT0Kf7kxmTk/8EA5jz
 /GMzLdsAAAAgY0hSTQAAeiUAAICDAAD5/wAAgOkAAHUwAADqYAAAOpgAABdv
 kl/FRgAAClVJREFUeNrsmWmIZelZx3/vctZ77r213VtLV3X3dHd1zxpHkoEQ
 UHHB4AcJCmNcEBExRgf8MGpAwSQgCGpcBoILRDGGIGpcQBHHYAQHok4PqExP
 pmeml+qupauqq+rWXc5yz3kXP1SPGYSQmeTTQD1wPhxeeN//73ngOc//vMJ7
 z7s5JO/yOAU4BTgFOAU4BTgFOAU4BfgmQr85ynnA8dUX4yEQ4AU465BSggDr
 HEIIjLUURYEHnVfVeed5vGqap6SSj01NM+u9mwERCgECgYejOAjuhTp4LYvj
 F0OtX0nDcMN6bzxgvCeUCikE4sGZQgqkEBgHUpw8zoMSIN4EeKfEQpxsap3r
 D8vq6YlpfsIJ+a1Ka63iGCckSStDKslXjwHvHI1pyJ1nVJR455pE62tZGP5l
 FoV/HWj9hhTvvALCPRinv14FtJIIYDytL+6Mhr88LKsPqTBcyLKMKI7RUuLF
 iQIpTvZ7s7pv1eU94B3GWpq6YVrXTIuiipT64plO57dm0+QFAPM2K/C2AISH
 xpjeze29j+1X1UejbjvLkpgkComTGOOgMQ5rDNYYhHB471F4QGA9IAQgkCpA
 a4UOFFqCNZa8KBkXFdV4bLpC/O36maVPpHH8qsN/cwCRBA9ya/vg6eubO7/h
 Oq1z80sLxFGAkpJp2WAJ2N7dpSjGJFimVc5xUVKWJQf7exhj6S8uEacJM2lC
 mrSYCo0KE1aXlgk1RJHCeUAJ9rb2KfcP8/Wl/q9fPLf8XKBlPn2nAG8u5pPy
 0Zff2PrdvaL63sWLq2TdlDKvaIxnOhmzt39A2Tha7TZzWYJyhvFkxP7RiI2N
 O7zyyleoyoonn3yStbVVlnqzdNsZMkw4KiryvEA0FSsry8StFkGgSFsRk1HB
 YOeQpGm+8vjFM8/2FrrP+wciHV8HQALO+ZXrG7vP3to9+hk1281mFmfRgcLW
 jv2DIS/887/Qu3CBpLdClmoe6qTEEoaTgiLPaaUt7h8d8cbrr2Ks5cqFC7z3
 kYe5ezzCWMdcJwOluT2cMCgd08EBhzdvcOXxR3nksXWUhro2lOOS0dauPzOT
 feE9l9d+LQnUyw2g+BpdSAPDYvr+q69s/MXIc3bp4fMgJUprRsMJ9w+GvLqx
 y5FqMzd7FhVpmI4IVUZlISfiWAqacI5gTjLKD6iqEt15Aj0/Qz621LYh8YpU
 CFQzRaCJli5yvDXg2uYhVgesLi/Q6baI2yntJ9bF7q2tp/dfvP7973v47EeW
 59ufc2/RrD7xyU/+3xft7t7xMy9e3/wzNdftLV86Q9NYvFBs3ztgY2/EWHYQ
 UYavci6eW6UYHxFKw0w2Q2EFw1pQoDkY7PAHH3+Gv//8Z3npyy9w9YUvIc9c
 QXdXcAi0UkSBYlzmjIuClYU+4+Mj4pk+eqbPweGApqzIshTvPPNLcxgp9Z3N
 +z/gGttbmMm+JAXmzY6HAP3q7d3f/q/bu5+ePb+U9dd6lGWNE5KbGzvsTxzZ
 4jlWlxZ4aLHLfDdiNpaUZU5TT/FKURpB7gQ6jnn+z/+Q/3npP+lfeoTzj30L
 W7t7fOGPfpPKGaZoCuOxKJwzFPmELICFTshar81ab4a5lYc4thGv37pHZSxV
 ZZhfnmNx/Qw3B5Nnrl7b+Dtj3YJ4kPjgv69vfvbOMH925coqWTdjWhka47l1
 5wCZLXBmdZXlLGA+BFENCb2nrgsS4aCp8QislARhiNaauirpnL/Mt3/P9/Hj
 P/VzJL1lhA7wzhLFMSh90jCsIfKGaZ2jnUXVOTPasZhKVlcWafVWuLMzZJxX
 VKUhjEJWLq2QR/qD//Hy7X9qrFvRt7cPfn63mP7o3FqfMIoZjisOhiW7RzlJ
 t8uZ+TahAC0g1pD0Z5jsaPqdlMNDjS1yTFMjUDROAIqo3aG4fY3n/7Hmi8//
 A839u8izKxCmVNYSSYtznrrIiQLNYrdFEQX059sstCRVDY2H7kzCjutyY/uI
 XntKbzZltpMw05/jYGv/vddubD8n7w3GH81mM3QYsnNvwO3NAduHJblVhM2U
 2NW0Aki1JxAek+dEwpMFknOL80jXYOqCRAtSdVKRD/zgR7jwvg+Qb91gvHmT
 ucVFvusnf4lQBSTCkgUSXE1TFSzNtpmLNbECVxYo70k0pBoS4UhsTY3i3rhh
 Y/uYu1uHOC/IOi0mtfkOnQT6tUExvWTEiMNBjlQhiVYUw5K88hTVlCQO0Uqg
 JLSzlCDQKCyXVvoc39ukmgyYXe5SWw/GsDC3wg9//DO8fvXfMWXBQ0+9n5X+
 GjGGtna0I009mhAIuLJ2hkA6tFK0WglBILAWvINJWTOcFDRTQ6cdEWoYjEpa
 oSAwDQEc6MvnF3/2+sbep+7vH39wLgq7lW3oppqFziyVgaN8yvFoQhIo+nNt
 pLcgQOJpxyHnz63x+o2b9Bb69FotVGFwpkakGeapb8NYw2KrRUZDVwvmU00k
 Gnb3tlnu91ha6DIpKqQE5z15WbN/NGZS1lghSTsdLnYckW8weUUYCZrDYZnE
 wdX1s/2P6TgKN9fPLn34bDVdKMr63Lhq3nNcTL97PJk86Zy/5KIwarVThJDc
 vXef0dEh1fEQ4z2Nc6yfW2MwOGZ7c4P1S5eJUklLeAaFoS6OmNYN/ZZiIYnp
 JJok8Nzd3CIMNE88fAVjHbXzDCcTdgZjFpYq4iyj1YopJzl2MHapkrdTra7N
 ZuG/ZlHwUisNN6I4utdOIyca7ymqBuHBGIsMFEGgaBorB6Piyu79wYd3R+Mf
 G1l3qbe8SNpqMTw8AG/oZglznQ5ZkvLarZtUdc3q4jIKxTAv2dndx1rH8lKP
 bpaitWD38D51XfPo+hWsMxwOhwzGOdZCZ6FHPZ1yuH9AUDf3+1nrr5YXZj6/
 MNe5GoW6cc7RVA1aK7wQJLFGNN6TVw3Ce5rGILQmCDTeO4x1BFJSm6Z1/c7O
 D71849YvxvMzj55dv0yiI6qqIp+MSENNEmiGoyFFWZIGIZHSHB4eYp2jvzCP
 E5LxtETrgLmZGRoPk2lNGKe0khQjPXdv3uB4e3f38trqp5+4cPaPszTera1H
 K4lUEmMsZtoQaAVCkiZfCyDUOOdoGocUoJQgiAKOhuPo5s7Oh/bhV9vzS49n
 UUakFE3tsHWNxOKbhmmRk0+GlPkY5yxJmtFqz5CkGTIMsUIig4ggVDTOUZqS
 wWBvp1OWn1pfWvqTpd780NSGxlich0Ar1DcKoAQIJUBrptOK2lpkoHWB/JGD
 ml/Jax5WQhMqeTLyAtJxMve+1dJIgZdgH5ia2nqMb4gD9mYD/9ysEr9vm2YY
 CEEcx3hj8dZhvw7AO7KUHjDOEwlpelH4ucxP/2Z/MvzpI8JfKGSwKqVGKYUU
 EiFPhAtxIth7hzMOZy3WW4RtRnPUn+mFye9kabZtjWE89agT683bvXbR39i/
 AP8gwT7vCfd7mS//1IU8JRTfWTTmbGXFkvG+7REZICQ+V0LkkfS7acie8Obf
 bJF/eUbJe86dZNn5/+c9364nPr1iOgU4BTgFOAU4BTgFOAU4BXj3xv8OAEdi
 cR09yeh3AAAAAElFTkSuQmCC
