=== debian/control ===
Source: nmap
Section: user/network
Priority: extra
Maintainer: Nathan Reynolds <terminal3@gmail.com>
Build-Depends: debhelper (>= 5), autotools-dev, python (>=2.5), python-central, python-gtk2, python-gobject
Standards-Version: 3.7.2

Package: nmap
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Command line open-source network and security scanning tool
 Nmap ("Network Mapper") is a free and open source utility for network
 exploration or security auditing. Many systems and network administrators
 also find it useful for tasks such as network inventory, managing service
 upgrade schedules, and monitoring host or service uptime.
 .
 This package contains the command-line only nmap and ncat. Most functions
 work without root privileges, while some (like OS fingerprinting) do
 require them. If you use an option that does require root privileges
 without using sudo, you will be notified that it requires them.
XSBC-Bugtracker: https://garage.maemo.org/tracker/?func=add&group_id=1367&atid=5044
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAACXBIWXMAAAsT
 AAALEwEAmpwYAAAKT2lDQ1BQaG90b3Nob3AgSUNDIHByb2ZpbGUAAHjanVNn
 VFPpFj333vRCS4iAlEtvUhUIIFJCi4AUkSYqIQkQSoghodkVUcERRUUEG8ig
 iAOOjoCMFVEsDIoK2AfkIaKOg6OIisr74Xuja9a89+bN/rXXPues852zzwfA
 CAyWSDNRNYAMqUIeEeCDx8TG4eQuQIEKJHAAEAizZCFz/SMBAPh+PDwrIsAH
 vgABeNMLCADATZvAMByH/w/qQplcAYCEAcB0kThLCIAUAEB6jkKmAEBGAYCd
 mCZTAKAEAGDLY2LjAFAtAGAnf+bTAICd+Jl7AQBblCEVAaCRACATZYhEAGg7
 AKzPVopFAFgwABRmS8Q5ANgtADBJV2ZIALC3AMDOEAuyAAgMADBRiIUpAAR7
 AGDIIyN4AISZABRG8lc88SuuEOcqAAB4mbI8uSQ5RYFbCC1xB1dXLh4ozkkX
 KxQ2YQJhmkAuwnmZGTKBNA/g88wAAKCRFRHgg/P9eM4Ors7ONo62Dl8t6r8G
 /yJiYuP+5c+rcEAAAOF0ftH+LC+zGoA7BoBt/qIl7gRoXgugdfeLZrIPQLUA
 oOnaV/Nw+H48PEWhkLnZ2eXk5NhKxEJbYcpXff5nwl/AV/1s+X48/Pf14L7i
 JIEyXYFHBPjgwsz0TKUcz5IJhGLc5o9H/LcL//wd0yLESWK5WCoU41EScY5E
 mozzMqUiiUKSKcUl0v9k4t8s+wM+3zUAsGo+AXuRLahdYwP2SycQWHTA4vcA
 APK7b8HUKAgDgGiD4c93/+8//UegJQCAZkmScQAAXkQkLlTKsz/HCAAARKCB
 KrBBG/TBGCzABhzBBdzBC/xgNoRCJMTCQhBCCmSAHHJgKayCQiiGzbAdKmAv
 1EAdNMBRaIaTcA4uwlW4Dj1wD/phCJ7BKLyBCQRByAgTYSHaiAFiilgjjggX
 mYX4IcFIBBKLJCDJiBRRIkuRNUgxUopUIFVIHfI9cgI5h1xGupE7yAAygvyG
 vEcxlIGyUT3UDLVDuag3GoRGogvQZHQxmo8WoJvQcrQaPYw2oefQq2gP2o8+
 Q8cwwOgYBzPEbDAuxsNCsTgsCZNjy7EirAyrxhqwVqwDu4n1Y8+xdwQSgUXA
 CTYEd0IgYR5BSFhMWE7YSKggHCQ0EdoJNwkDhFHCJyKTqEu0JroR+cQYYjIx
 h1hILCPWEo8TLxB7iEPENyQSiUMyJ7mQAkmxpFTSEtJG0m5SI+ksqZs0SBoj
 k8naZGuyBzmULCAryIXkneTD5DPkG+Qh8lsKnWJAcaT4U+IoUspqShnlEOU0
 5QZlmDJBVaOaUt2ooVQRNY9aQq2htlKvUYeoEzR1mjnNgxZJS6WtopXTGmgX
 aPdpr+h0uhHdlR5Ol9BX0svpR+iX6AP0dwwNhhWDx4hnKBmbGAcYZxl3GK+Y
 TKYZ04sZx1QwNzHrmOeZD5lvVVgqtip8FZHKCpVKlSaVGyovVKmqpqreqgtV
 81XLVI+pXlN9rkZVM1PjqQnUlqtVqp1Q61MbU2epO6iHqmeob1Q/pH5Z/YkG
 WcNMw09DpFGgsV/jvMYgC2MZs3gsIWsNq4Z1gTXEJrHN2Xx2KruY/R27iz2q
 qaE5QzNKM1ezUvOUZj8H45hx+Jx0TgnnKKeX836K3hTvKeIpG6Y0TLkxZVxr
 qpaXllirSKtRq0frvTau7aedpr1Fu1n7gQ5Bx0onXCdHZ4/OBZ3nU9lT3acK
 pxZNPTr1ri6qa6UbobtEd79up+6Ynr5egJ5Mb6feeb3n+hx9L/1U/W36p/VH
 DFgGswwkBtsMzhg8xTVxbzwdL8fb8VFDXcNAQ6VhlWGX4YSRudE8o9VGjUYP
 jGnGXOMk423GbcajJgYmISZLTepN7ppSTbmmKaY7TDtMx83MzaLN1pk1mz0x
 1zLnm+eb15vft2BaeFostqi2uGVJsuRaplnutrxuhVo5WaVYVVpds0atna0l
 1rutu6cRp7lOk06rntZnw7Dxtsm2qbcZsOXYBtuutm22fWFnYhdnt8Wuw+6T
 vZN9un2N/T0HDYfZDqsdWh1+c7RyFDpWOt6azpzuP33F9JbpL2dYzxDP2DPj
 thPLKcRpnVOb00dnF2e5c4PziIuJS4LLLpc+Lpsbxt3IveRKdPVxXeF60vWd
 m7Obwu2o26/uNu5p7ofcn8w0nymeWTNz0MPIQ+BR5dE/C5+VMGvfrH5PQ0+B
 Z7XnIy9jL5FXrdewt6V3qvdh7xc+9j5yn+M+4zw33jLeWV/MN8C3yLfLT8Nv
 nl+F30N/I/9k/3r/0QCngCUBZwOJgUGBWwL7+Hp8Ib+OPzrbZfay2e1BjKC5
 QRVBj4KtguXBrSFoyOyQrSH355jOkc5pDoVQfujW0Adh5mGLw34MJ4WHhVeG
 P45wiFga0TGXNXfR3ENz30T6RJZE3ptnMU85ry1KNSo+qi5qPNo3ujS6P8Yu
 ZlnM1VidWElsSxw5LiquNm5svt/87fOH4p3iC+N7F5gvyF1weaHOwvSFpxap
 LhIsOpZATIhOOJTwQRAqqBaMJfITdyWOCnnCHcJnIi/RNtGI2ENcKh5O8kgq
 TXqS7JG8NXkkxTOlLOW5hCepkLxMDUzdmzqeFpp2IG0yPTq9MYOSkZBxQqoh
 TZO2Z+pn5mZ2y6xlhbL+xW6Lty8elQfJa7OQrAVZLQq2QqboVFoo1yoHsmdl
 V2a/zYnKOZarnivN7cyzytuQN5zvn//tEsIS4ZK2pYZLVy0dWOa9rGo5sjxx
 edsK4xUFK4ZWBqw8uIq2Km3VT6vtV5eufr0mek1rgV7ByoLBtQFr6wtVCuWF
 fevc1+1dT1gvWd+1YfqGnRs+FYmKrhTbF5cVf9go3HjlG4dvyr+Z3JS0qavE
 uWTPZtJm6ebeLZ5bDpaql+aXDm4N2dq0Dd9WtO319kXbL5fNKNu7g7ZDuaO/
 PLi8ZafJzs07P1SkVPRU+lQ27tLdtWHX+G7R7ht7vPY07NXbW7z3/T7JvttV
 AVVN1WbVZftJ+7P3P66Jqun4lvttXa1ObXHtxwPSA/0HIw6217nU1R3SPVRS
 j9Yr60cOxx++/p3vdy0NNg1VjZzG4iNwRHnk6fcJ3/ceDTradox7rOEH0x92
 HWcdL2pCmvKaRptTmvtbYlu6T8w+0dbq3nr8R9sfD5w0PFl5SvNUyWna6YLT
 k2fyz4ydlZ19fi753GDborZ752PO32oPb++6EHTh0kX/i+c7vDvOXPK4dPKy
 2+UTV7hXmq86X23qdOo8/pPTT8e7nLuarrlca7nuer21e2b36RueN87d9L15
 8Rb/1tWeOT3dvfN6b/fF9/XfFt1+cif9zsu72Xcn7q28T7xf9EDtQdlD3YfV
 P1v+3Njv3H9qwHeg89HcR/cGhYPP/pH1jw9DBY+Zj8uGDYbrnjg+OTniP3L9
 6fynQ89kzyaeF/6i/suuFxYvfvjV69fO0ZjRoZfyl5O/bXyl/erA6xmv28bC
 xh6+yXgzMV70VvvtwXfcdx3vo98PT+R8IH8o/2j5sfVT0Kf7kxmTk/8EA5jz
 /GMzLdsAAAAgY0hSTQAAeiUAAICDAAD5/wAAgOkAAHUwAADqYAAAOpgAABdv
 kl/FRgAAEZVJREFUeNrUmXus5dd11z9r7/077/ueufP2nRkn4xnbcerGNjGp
 RfNwXsitk1BwS1BbWiURlEqIECgFpKogKtQHqKWoKQgJEE1bERpoK9pCSBu3
 IWCnboLrIYrHyeTOwzP3zn2cc36/8/vtvdfij3Pu9R3HkERUkC5p657fuVe6
 37X2d3/3d62fvPrcOVJKbG9thazpLZ12961e5IzzzrVbLS1CUBd8jk3SrDmZ
 qaphXlwSIWfNCSSD5ZRSVtXsvc/e+ybGlFQ1+eBz8D6raja17L1vvPcRITkn
 0YtrVGjELIpI452vcRKdc7WpNmY0qrkBqb13pZlMfHAphIIAkHOeO7yy8g9P
 nTr+gcX5ATkmVDPOO0RAs5JVyVnJmlFTTDE1UzXNllUNU1PLhkTDVMySQcSI
 atqYWmNmtZnVhlVmVGZUIowNK0HGGCPBxiIyRmSEMTJsrMbIzEonUiESctbC
 sBEQg5qxMD/3ffffc+EDt7a3+dwfXoxlWaEpgzNAADEBE8EAEDFAMRTMFFQg
 T5/JiEyfISJEjGRYmv4kAkmwhLjpZ5EEJCAKRBEag1qgAWkQiU4kOudiCD71
 ej0Nvghq5NAqwvLZtVNP7I6G/Mf//F9SzuqcOBEBRKb/zmM4EDABsSlAZZqe
 gihiQZCMiM5AOWYhYAe+9xhOBCdOBDARMUEUQUUkuVlCIhJfWkRBog8+Z9XU
 7/XVeydhXJZHO+32q55+5g/IKUur1RJgWusMzAMTRBBwYGDOzAkIIsYMA4ga
 YpiZgIhM90sww2GqNt0VmVbejAazBmhMbYJIJVCJUCmUglSITBAmgkyck9p5
 H0Ut1nVK4ia5XRQWWiGsVtV4eXt7x7z304LVYCAyMFo/noj/3KP/3SGK0saM
 aSKYGWbCdDeM6a+ygaKaHWSFRKYBqw1qMhOwCqGSTAmMMfZ4PzazEUyfp4sx
 SOWU2qnWphrNTMHUmWkQbKlposQmZmTKRDlq0vrhRPgORY5A+AtK/g1H88Me
 fVZE2tjsNDADv7em4CE5kcagNrMJsLcqoBSxEpORmg2BoYgMzWzI9HkEjMxs
 LEKJMUGkVqgRbbxqVjPFzMqcCWbWq2MmqZqoiGG0/nGi9WeV5t845IRhu9D+
 dsXfa278UMi2LUrA9kDPVmLv4MK+4rwEXEqwagqOEVMVGc7WrpmNp59lJMLY
 zEqgEpGJmTYY0YlkM8tqZsE5w3tCCKEbY0RNlYyTefCPGLohTN4faP3tRPqw
 U3vaxN1nJgPMtvZPiB4Av7dqEWlmla/2qg5WzqgxnNHk9urDSERGZjZWtbGI
 TERkoqo1kJxzUc3Umaog+9sfxLl2HSOYGU6gFOw5CG8yOj+eTc6a5BMm9Y/4
 bKAuAMVttHlJAkUabqfNDDzlAWoM/0/gzawUkUpE6hn46JzLqmopRjOg3++9
 lEDO2k0xYYpJAEtQ//UA/yTRen8WAH93lvw75psPO/InXJLWbbRJM9pMgPgy
 8OMZ+LGIDFV1JCL7CajqrojcBt45NwEmOedGptqfcs6aUpppx+3hMLpZDcNM
 BMRj+TMul48WWj4WLD0lpjtixXeq9D6agnutYnEfdJxVfo82ByjDeLZGZjY0
 s6GI7AK7M87vgR+a2Wiv8mY2yTk3zrnGe59SSppSUplenl8RLpt1zAzAUIF5
 LHyrij+nxF91OT8D1VtDnPwdn9wShMdNsOltCjQiUr8CbfbBi8htwA+A352B
 L82scs5VIlKbWS0ijXMuxxgt5/yKwPcp5J1r5ZxNREyjZXfEQvdj0TGG8ZsL
 RTGZQ2VxaiwYz3gvJEGameK87MBOE7CXZHEviaGqDmeVHx+gTWVmtao2zrko
 IrlpGlVV5atEQAhmpmaWpSDo58WaD3ttfzC7/u/EYAbhHantj5nkZ0XTL7ux
 QEMtNTBRbgM/EihpUc8os682B2i0R5vKzMbOucnLwccYs6oaX0ME70NhqllE
 ph5BRZu/ETQ/LS68O0v40+b1Ihp/3jfpX7ixrUspJzE5YgG1lp8erCkHHY4N
 SXaVmwfB7yUwo1M5o83LK59EJMUY7WsFP5VREdFpAmpmhp9agvQRl9JHXG79
 WOrEn/VjuyzV1NpJFb4tLYcfzMtUZHT/QkM6uPgR/1zz9/yzUlDOkthV1aFz
 bjSj1b7amNlEVaP3PplZjjHq1wMeIJiZGWQz25NGQzBpoRg5/gO/Sy1RCpI4
 aUwtxl92V9PH3WX0oNZLhVjJNrckvHRh7VV+Br48AL6egY+Azpqh/y34mdAA
 UFUlzhRLBcFUFbMEqEwt795fZoTMrjQEGnEy1XihZlNKu7mnNDIGhpk0zOQt
 YGd2cLdnqrN3kCdAM5NeBVK73Y5mllNKr0ibM2fPI+JwweOAEDw+eDqdDp1W
 iyJ4gpllgz0K5VkHY/vepnjpht03ZWH/0E7McplSHs3PL1Tn77138djJE6tz
 C3NFt9trCdKIk0bEVSnG6ynnLzdNfOH61SuXnvvsZ8ur6+t7nsAA3vDImzl1
 8jSxacAXvO2d3wXq6S72CMDhQ0ssLc2Rs+67ySAiNgOeRMSrqhywCHGmzQc1
 vjKzcYpxCOwuHzqU3vpt337qDW980+m77rn75KHDhxf6g/6g1+t5cfs9DU1d
 p5jyzaaJV3a2tj71pRee/w+bN248qUVRaVZGm7vcceQMh5ZW0SZSq+P6izfJ
 TYaW4oHxOFAUcFBdwwEHmQAv014sm1kjIvFldrhMKY5MbffE6dPuLY89du6d
 737PhQuvec2p/vycBO+ZtXKY7DcJCOC9D844VqR0rNPvPbB68sQHYtM8tVOO
 fiFH/Xdb1zbXb11+ke2tW5CVxtwrOYdXuAem/iWKSAb87Pu0Z4kPmrKmaXYH
 /UH96GOPn/mO973vwr0PfPPRdhHod9oYELMSY0RMEQTvpr4xzipm4ggh0G4V
 AEVUfdj71sNVOfz+qix/Lqf0r4MPu1+XCh3YgWxmMhWlqS3eA59SHKna6P77
 /8TgXe/9ngf/1OOPrR1bO+FyyqQYefHWkGsbW8S6IuSa3fGY3dGYWxs3wIzl
 Q6v0+z0WBwOyb+NbHY4fXqbTbtGfX6Lo9u8z/M9IlnfVm6O/j9onDjjmr5rA
 Hljba7BVNU0PqFUxxt3FhaX82J/58+cee+/3XDh93/lOp9dma1iye2uL7e0d
 tsYNc3N9ljtdUk7kCNev3+IzT3+OrMqDr3uAM2tzODztVpetOvH7z11ivtNi
 aWme+aVFVk4cl/7S8ltuPL/++vLKxk/Xu9VPYLb5NSUw43s2s9bsQEdVLXNK
 4wt339/77r/ywXsefufbj3aW5zAztkcTPvmJT7M9qlh51atZXljh6PIAr8bN
 OjF/aJ7XHTlNq9enaRq+9aEHWJhb4NKNTQadPsfnAl8IbV7YKnn6dz/LoPA8
 8saH6Q+6rJ4/O6iOrPzQ9YuX31hdvvEh0/zJr3aRNTOq2CyJHJu6arU6k7e/
 64kTT/ylHzx/10Pf1E0CMUauv3iLq9sVXyqFxZWT9AZLuLSDl3nGamzLAN9d
 YHf9Ip/8jY/SxIYTJ1Y5c98b2KGmq4E5wMcJ/cECO4fXuHz9Os88f5PjS22O
 Hl2iu7LE2oP91/eW5z927bkv/5im9JM+hPRKCfiVlZWHcs53jsfjJCI5NnU1
 P7+c/+IP/NDd3/uhD50/9ZpXFRljOCz5wuWbbMQWvZXjtCVzdK5N0XIQRywM
 FthuHKXrsr7+P/lHf/P7eOY//RYvPPccv/ep32bxrtcxt7qGaKZbeDZ3t1Ez
 llqBdrfH0qmz3BrX7N7aplN4BoM+86uL3bmVwaPVzvhcqppP9vvdcafTvu1W
 3tuBSkS0riesHjlZ/OUP/cg3vfmJ9xzrLPSIOXNrc8i1rQmuv8La0jxdUWLI
 dLzRpAkWG7I4JgZFv8v6pee4du0qj37v++nPzfOxX/yXXPnC5zj/2j9JnGTM
 eUgNMWf6rTaLrcyJgVDPHWF7Z8T6xg45K4dX5lk8eohWu3ji6rOXT1i07xbh
 halUv3QGJkCZc9a5wULxvr/6t+57x3f9uWPtxQ67wwnXN0bcHDcsrRzi8Hyb
 FtAOwlbb45wQAmzsbGOaMfFkgdDp0bLI8xf/B612F5dKfKtDAgxDNVFub9Fb
 PEy/cITkWe0JjcLS6oCtYYsrGxuUVeTISp/FQwu4u9ce2bx07We2hsP3irit
 gwk0QBljU9914TUn3vGed6/5jufK1S2ubZbcGCfa7YJDbVhsTcelYkrHMoNO
 Bz8/R7URsDShXwyIdcPava/nnkce5Zl//0uYGhfe9DbOvu6NWGzoB0HThG7h
 WTt2CFfV7EwqCjParenl5wpjvVEuDWt2R5FjK12OLHSZX114ZyzLcyLu0wft
 dD1rLOqmqber0bBuL/TbO8MJEjy9vqeZRIajkn5bGLRbtApHp9cGlBPL82x0
 u4x2Nlk8Nk8cT0iDBR7/az/JuYfeRo6R89/yKKvLR+nZhKVeYHzzFr0icGpl
 gWtXXqTdadPvOmKG8SSyW5akpHTaLYqWZ2dYsdgWJOcy1ql0ByyKX1paOmtm
 x5qmidu3Nre/cPHzV1JlsVcUxcpcr72yMHCDuT4KDMcVu6OSuq7YurlJuxU4
 cWyVbqfF+tV1VhbnGXQ75LqmKNp0jp1hZe08J+fnWHINRweBDg03rl7m3Jk1
 Dh9aZvPmLba3R1gRuLEzYWs8ITnPoFuw4DJ9S40bj69cv7T+m5dfuPqjmxu7
 v7u5sa2bGztsbuwQQCaqOnLOqarmJz/+6099+smPP7m8vKJ3vvqe3l2vfeD0
 kVNn7rzwwIP3LR4/vNbudhhWE7bLCSHA7njEscOH2B2N2Lh+hTtOrdGbK9gY
 Toijm5gZpxZWWZlrU7jE5avrHF89zNrJE2yNSkaTip3JhO4405vrkHZ2qa5e
 /2I9qn7PYv5v1c3hp8zS87mQ7Und5Ha7dZsKydmzdz6cc3r99vZ2nsVEVceq
 eZhSGpqxFXwY3//gIyfe8Oa3fsvafd/8rmN3nnzw+B0nSXXNpCzptgPLgwE3
 NjeoJhXLc4sEPFev3yBn5eTxI6gYW6MdihA4duQIW8MxZR1pdbq0el1evHKV
 S88+/5lutF/Ilf6q7/Qu9hZ6TDaGGBk6nsmkodUqbkvALy4uHgIO1XU9UdV6
 NqMcicjI+1CGEBrMmi9fvvTlzz31qU/8/qf/66/vbI/+sLs0WD58eu2Oubll
 shWUMdPu9PAExmXFeLTLpBphuSFpplGh1enTHSwySmBFl/7iMtr2PPsHn3nq
 47/yaz/64hdv/N3VxcXf9KG94UKgaBekspm6nOBIKTOboN/WE1dmNpy9UcnT
 Yep0jjmbYU6c95OWc1ZOyqL64sX1j3744j/b2Fr/t99/9o7vPH107QdCt39B
 FZzAoLvIXFbqyZj5lBAzXFFQtPtTEDa1vOJAXXrh+sbNn778pS/9q2pcbnSL
 RdzLAH61cExf5QwRGbrZmrWB49kFV+01361WO4VQeDOT3/6lX9xqqupnW07e
 bsONn2jKnfUm1dQ5UTvwgzlay0sUK8vI3BxNgFoTTa5pyp2btnvzn3qxt4vI
 T4lzG36/l/j6IohjYiZjETIikemYsDKzyWw3ajNrDk4OAAvtFiKCwuVWU30w
 uOpXJtSPNxruKkL7aHaymG2KSCA5s92U6g2k+Xwnx18LyX5L+foBf0UCTnyD
 pJHg1DlNqrLf+x6YHCRVTSml2RDjZSGCw5502JNKdmAeQ8yQ/XdkZoplFZn2
 rCb/9+Cngy2xaM6NnXdq5pOTHPN0xl+bWfTeR52i11fC/pUhe2P3V/rdbP3R
 RUAkBS9VCF4xTVlddE5jStqIyB5tjG/QCE4ki7iqCME05+ydS3n6Xjarqc7A
 f+MmYCY5FK4OwZOSzzlrdE6zObXY5Py10eb/YwKdbksFVxdF4VLKOavmoFlV
 3Tc28gPvBwwjtVstySmbTWd9BvLHI4Hpe2qy916KIljKyaYXyh8L/AR7Scr/
 qKT5/2n8rwEAbwnwerRwpdoAAAAASUVORK5CYII=
