## nmap 5.21-2

=== debian/changelog ===
nmap (5.21-2) unstable; urgency=low

  * Added verbose package details to long description, added bugtracker, added icons and sudoer.
  * Initial release.  Fixed short description from 5.00, added App Manager icon, and optified.

 -- Nathan Reynolds <terminal3@gmail.com>  Thu, 25 Jan 2010 20:05:09 -0600
