=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: user/network
 Priority: extra
 Maintainer: Nathan Reynolds <terminal3@gmail.com>
-Build-Depends: debhelper (>= 5), autotools-dev, libssl0.9.8, libssl-dev, openssl, python (>=2.5), python-central
+Build-Depends: debhelper (>= 5), autotools-dev, bluez, libssl0.9.8, libssl-dev, openssl, python (>=2.5), python-central
 Standards-Version: 3.7.2
 
 Package: nmap
