## nmap 5.50

=== debian/changelog ===
nmap (5.50) unstable; urgency=low

  * Initial release, adds nping utility and removes desktop icon.

 -- Nathan Reynolds <terminal3@gmail.com>  Sun, 30 Jan 2011 20:05:09 -0600
