=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: user/network
 Priority: extra
 Maintainer: Nathan Reynolds <terminal3@gmail.com>
-Build-Depends: debhelper (>= 5), autotools-dev, bluez, libssl0.9.8, libssl-dev, openssl, python (>=2.5), python-central
+Build-Depends: debhelper (>= 5), autotools-dev
 Standards-Version: 3.7.2
 
 Package: nmap
@@ -14,9 +14,9 @@
  also find it useful for tasks such as network inventory, managing service
  upgrade schedules, and monitoring host or service uptime.
  .
- This package contains the command-line only nmap and ncat. Most functions
- work without root privileges, while some (like OS fingerprinting) do
- require them. If you use an option that does require root privileges
+ This package contains the command-line only nmap, ncat, ndiff, and nping.
+ Most functions work without root privileges, while some (like OS fingerprinting)
+ do require them. If you use an option that does require root privileges
  without using sudo, you will be notified that it requires them.
 XSBC-Bugtracker: https://garage.maemo.org/tracker/?func=add&group_id=1367&atid=5044
 XB-Maemo-Icon-26:
