=== debian/rules ===
--- 
+++ 
@@ -101,7 +101,9 @@
 	dh_shlibdeps
 	dh_gencontrol
 	dh_md5sums
+	./maemo-config-preopt
 	./maemo-optify nmap
+	./maemo-config-postopt
 	dh_builddeb
 
 binary: binary-indep binary-arch
