=== debian/changelog ===
nmap (5.50-2) unstable; urgency=low

  * Fixed autobuilder dependency issue.

 -- Nathan Reynolds <terminal3@gmail.com>  Sun, 30 Jan 2011 20:05:09 -0600
