=== debian/changelog ===
nmap (5.59BETA1) unstable; urgency=low

  * Initial build.

 -- Nathan Reynolds <terminal3@gmail.com>  Tue, 12 Jul 2011 20:05:09 -0500
